using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability1826.Request;

public class TaobaoTbkDgVegasTljReportRequest : AbstractTopApiRequest
{

    /*
        adzoneId
            */
    private long? adzoneId;


    /*
        创建淘礼金时返回的rightsId
            */
    private string? rightsId;


    [JsonPropertyName("adzone_id")]
    public long? AdzoneId
    {
        get => adzoneId;
        set => this.adzoneId = value;
    }

    [JsonPropertyName("rights_id")]
    public string? RightsId
    {
        get => rightsId;
        set => this.rightsId = value;
    }



    public override IDictionary<string, string> ToRequestParam()
    {
        IDictionary<string, string> requestParam = new Dictionary<string, string>();
        if(this.adzoneId != null)
        {
            requestParam.Add("adzone_id",TopUtils.ConvertBasicType(this.adzoneId));
        }
        if(this.rightsId != null)
        {
            requestParam.Add("rights_id",TopUtils.ConvertBasicType(this.rightsId));
        }
        return requestParam;
    }

    public override IDictionary<string, TopFileItem> ToFileParam()
    {
        IDictionary<string, TopFileItem> fileParam = new Dictionary<string, TopFileItem>();
        return fileParam;
    }

    public override string GetApiCode()
    {
        return "taobao.tbk.dg.vegas.tlj.report";
    }

}

